/**
 * Copyright (c) 2000-2012 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.portal.upgrade;

import com.liferay.portal.kernel.upgrade.UpgradeProcess;
import com.liferay.portal.upgrade.v5_1_6.UpgradeBlogs;
import com.liferay.portal.upgrade.v5_1_6.UpgradePortletId;
import com.liferay.portal.upgrade.v5_1_6.UpgradeSocial;

/**
 * @author Douglas Wong
 */
public class UpgradeProcess_5_1_6 extends UpgradeProcess {

	public int getThreshold() {
		return 5106;
	}

	protected void doUpgrade() throws Exception {
		upgrade(UpgradeBlogs.class);
		upgrade(UpgradePortletId.class);
		upgrade(UpgradeSocial.class);
	}

}